Package ghidra.app.util.bin.format.golang

# Class GoConstants

java.lang.Object
ghidra.app.util.bin.format.golang.GoConstants

public class GoConstants extends Object
Misc constant values for golang

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GoVerRange`
  `GCWRITE_BATCH_VERS`
  Next gcWriteBarrier scheme with signature: `func gcWriteBarrier[1-8]() uintptr`
  `static final GoVerRange`
  `GCWRITE_BUFFERED_VERS`
  Initial gcWriteBarrier scheme with signature `func gcWriteBarrier(val,dest)`, x86-64 has gcWriteBarrierReg() variants.
  `static final List<String>`
  `GCWRITE_BUFFERED_x86_64_Regs`
  `static final String`
  `GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_ABI0_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_AUTOGENERATED_FILENAME`
  `static final CategoryPath`
  `GOLANG_CATEGORYPATH`
  Category path to place Go types in
  `static final String`
  `GOLANG_CLOSURE_CONTEXT_NAME`
  `static final String`
  `GOLANG_CSPEC_NAME`
  `static final String`
  `GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_DUFFZERO_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_GCWRITE_BATCH_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_GCWRITE_BUFFERED_CALLINGCONVENTION_NAME`
  `static final String`
  `GOLANG_GENERICS_PARAM_NAME`
  `static final String`
  `GOLANG_RECEIVER_PARAM_NAME`
  `static final CategoryPath`
  `GOLANG_RECOVERED_TYPES_CATEGORYPATH`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GoConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### GOLANG_CSPEC_NAME

    public static final String GOLANG_CSPEC_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_CATEGORYPATH

    public static final CategoryPath GOLANG_CATEGORYPATH
    Category path to place Go types in

  - ### GOLANG_RECOVERED_TYPES_CATEGORYPATH

    public static final CategoryPath GOLANG_RECOVERED_TYPES_CATEGORYPATH

  - ### GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME

    public static final String GOLANG_ABI_INTERNAL_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_ABI0_CALLINGCONVENTION_NAME

    public static final String GOLANG_ABI0_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_DUFFZERO_CALLINGCONVENTION_NAME

    public static final String GOLANG_DUFFZERO_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME

    public static final String GOLANG_DUFFCOPY_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_AUTOGENERATED_FILENAME

    public static final String GOLANG_AUTOGENERATED_FILENAME
    See Also:
      - Constant Field Values

  - ### GCWRITE_BUFFERED_VERS

    public static final GoVerRange GCWRITE_BUFFERED_VERS
    Initial gcWriteBarrier scheme with signature `func gcWriteBarrier(val,dest)`, x86-64 has gcWriteBarrierReg() variants.

  - ### GOLANG_GCWRITE_BUFFERED_CALLINGCONVENTION_NAME

    public static final String GOLANG_GCWRITE_BUFFERED_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GCWRITE_BUFFERED_x86_64_Regs

    public static final List<String> GCWRITE_BUFFERED_x86_64_Regs

  - ### GCWRITE_BATCH_VERS

    public static final GoVerRange GCWRITE_BATCH_VERS
    Next gcWriteBarrier scheme with signature: `func gcWriteBarrier[1-8]() uintptr`

  - ### GOLANG_GCWRITE_BATCH_CALLINGCONVENTION_NAME

    public static final String GOLANG_GCWRITE_BATCH_CALLINGCONVENTION_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_RECEIVER_PARAM_NAME

    public static final String GOLANG_RECEIVER_PARAM_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_GENERICS_PARAM_NAME

    public static final String GOLANG_GENERICS_PARAM_NAME
    See Also:
      - Constant Field Values

  - ### GOLANG_CLOSURE_CONTEXT_NAME

    public static final String GOLANG_CLOSURE_CONTEXT_NAME
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GoConstants

    public GoConstants()